summaryrefslogtreecommitdiffstats
path: root/source/a/mkinitrd/mkinitrd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mkinitrd/mkinitrd.SlackBuild')
-rwxr-xr-xsource/a/mkinitrd/mkinitrd.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/a/mkinitrd/mkinitrd.SlackBuild b/source/a/mkinitrd/mkinitrd.SlackBuild
index 456e4481a..d23adbc95 100755
--- a/source/a/mkinitrd/mkinitrd.SlackBuild
+++ b/source/a/mkinitrd/mkinitrd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2016, 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2016, 2017, 2018, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mkinitrd
VERSION=${VERSION:-1.4.11}
BB=1.32.1
-BUILD=${BUILD:-29}
+BUILD=${BUILD:-30}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -132,6 +132,9 @@ rm -f $PKG/sbin/mkinitrd.orig
# Use -R if we detect the root partition is a partition of a RAID device:
( cd $PKG/usr/share/mkinitrd ; zcat $CWD/0004-check-if-BASEDEV-is-a-partition-of-a-RAID-volume.patch.gz | patch -p1 --verbose || exit 1) || exit 1
rm -f $PKG/usr/share/mkinitrd/mkinitrd_command_generator.sh.orig
+# Fix for kmod-30:
+( cd $PKG/sbin ; zcat $CWD/0007-kmod30.patch.gz | patch -p1 --verbose || exit 1) || exit 1
+rm -f $PKG/sbin/mkinitrd.orig
mkdir -p $PKG/usr/man/man{5,8}
cat $CWD/mkinitrd.conf.5 | gzip -9c > $PKG/usr/man/man5/mkinitrd.conf.5.gz